## Standard Enumerations Standard Enumerations — Standard enumerations used by the Xfce Panel. |

## Functions

#define | xfce_screen_position_get_orientation()
#define | xfce_screen_position_is_bottom()
#define | xfce_screen_position_is_floating()
#define | xfce_screen_position_is_horizontal()
#define | xfce_screen_position_is_left()
#define | xfce_screen_position_is_right()
#define | xfce_screen_position_is_top()

## Types and Values

enum | XfceScreenPosition

## Includes

    #include <libxfce4panel/libxfce4panel.h>

## Description

Currently only contains the definition of XfceScreenPosition.

## Functions

### xfce_screen_position_get_orientation()

    #define             xfce_screen_position_get_orientation(position)

Converts the current XfceScreenPosition into a GtkOrientation.

#### Parameters

position | the XfceScreenPosition |

#### Returns

the GtkOrientation corresponding to `position` .

### xfce_screen_position_is_bottom()

    #define             xfce_screen_position_is_bottom(position)

Whether the current XfceScreenPosition is below of the center of the screen.

#### Parameters

position | the XfceScreenPosition |

#### Returns

`TRUE` if on the bottom of the screen, `FALSE` otherwise

### xfce_screen_position_is_floating()

    #define             xfce_screen_position_is_floating(position)

Whether the current XfceScreenPosition is floating on the screen.

#### Parameters

position | the XfceScreenPosition |

#### Returns

`TRUE` if floating, `FALSE` otherwise.

### xfce_screen_position_is_horizontal()

    #define             xfce_screen_position_is_horizontal(position)

Whether the current XfceScreenPosition is horizontal.

#### Parameters

position | the XfceScreenPosition |

#### Returns

`TRUE` if horizontal, `FALSE` otherwise

### xfce_screen_position_is_left()

    #define             xfce_screen_position_is_left(position)

Whether the current XfceScreenPosition is left of the center of the screen.

#### Parameters

position | the XfceScreenPosition |

#### Returns

`TRUE` if on the left of the screen, `FALSE` otherwise

### xfce_screen_position_is_right()

    #define             xfce_screen_position_is_right(position)

Whether the current XfceScreenPosition is right of the center of the screen.

#### Parameters

position | the XfceScreenPosition |

#### Returns

`TRUE` if on the right of the screen, `FALSE` otherwise

### xfce_screen_position_is_top()

    #define             xfce_screen_position_is_top(position)

Whether the current XfceScreenPosition is above of the center of the screen.

#### Parameters

position | the XfceScreenPosition |

#### Returns

`TRUE` if on the top of the screen, `FALSE` otherwise

## Types and Values

### enum XfceScreenPosition

There are three screen positions for each side of the screen: LEFT/TOP, CENTER and RIGHT/BOTTOM. The XfceScreenPosition is expressed as navigational direction, with possible addition of H or V to denote horizontal and vertical orientation. Additionally there are two floating positions, horizontal and vertical.

#### Members

XFCE_SCREEN_POSITION_NONE | No position has been set. |
XFCE_SCREEN_POSITION_NW_H | North West Horizontal |
XFCE_SCREEN_POSITION_N | North |
XFCE_SCREEN_POSITION_NE_H | North East Horizontal |
XFCE_SCREEN_POSITION_NW_V | North West Vertical |
XFCE_SCREEN_POSITION_W | West |
XFCE_SCREEN_POSITION_SW_V | South West Vertical |
XFCE_SCREEN_POSITION_NE_V | North East Vertical |
XFCE_SCREEN_POSITION_E | East |
XFCE_SCREEN_POSITION_SE_V | South East Vertical |
XFCE_SCREEN_POSITION_SW_H | South West Horizontal |
XFCE_SCREEN_POSITION_S | South |
XFCE_SCREEN_POSITION_SE_H | South East Horizontal |
XFCE_SCREEN_POSITION_FLOATING_H | Floating Horizontal |
XFCE_SCREEN_POSITION_FLOATING_V | Floating Vertical |